package consts

const (
	CacheNSForUser      = "user"
	CacheNSForUserToken = "user_token"
	CacheNSForRole      = "role"
)

const (
	CacheKeyForSyncToCasbin = "sync:casbin"
)

const (
	ErrInvalidTokenID            = "com.invalid.token"
	ErrInvalidCaptchaID          = "com.invalid.captcha"
	ErrInvalidUsernameOrPassword = "com.invalid.username-or-password"
)

const (
	TenantIDKey     = "tenant_id"
	DefaultTenantID = "888"
)

const (
	IdleStatus   = 0
	ActiveStatus = 1
)

const (
	AdminId             = 1 //管理员
	ProductionManagerId = 2 //生产部经理
	SalesManagerId      = 3 //销售部经理
	FinancialManagerId  = 4 //财务部经理
	SalesId             = 5 //销售部员工
	ProductionId        = 6 //生产部员工
)

const (
	SalesApprovalPending  = 0 // 销售审批待处理
	SalesApprovalPassed   = 1 // 销售审批通过
	SalesApprovalRejected = 2 // 销售审批驳回
)
const (
	FinancialApprovalPending  = 0 // 财务审批待处理
	FinancialApprovalPassed   = 1 // 财务审批通过
	FinancialApprovalRejected = 2 //财务审批驳回
)
const (
	SalesOrderCreated      = 3  // 创建销售单
	SalesOrderUnassigned   = 4  // 生产部经理未派工
	SalesOrderAssigned     = 5  // 生产部经理已派工
	SalesOrderNotCompleted = 6  // 生产部员工未完工
	SalesOrderCompleted    = 7  // 生产部员工已完工
	SalesOrderNotShipped   = 8  // 销售员未出货
	SalesOrderShipped      = 9  // 销售员已出货
	SalesOrderEnded        = 10 // 销售单结束
)
const (
	AliveFishSalesId    = 0 // 活鱼销售
	DeadFishSalesId     = 1 // 死鱼销售
	FishFrySalesId      = 2 // 鱼苗销售
	ReturnedFishSalesId = 3 // 退货鱼销售
)
const (
	TaskTypeOther                   = 0  // 其他
	TaskTypeFeed                    = 1  // 投饵
	TaskTypeFryRelease              = 2  // 鱼苗投放如池
	TaskTypeMedication              = 3  // 用药
	TaskTypeFishBehaviorObservation = 4  // 鱼类行为观测
	TaskTypeSickFish                = 5  // 巡查并登记病死鱼
	TaskTypeEnvMonitor              = 6  // 环境监测/登记
	TaskTypeEquipmentMaintain       = 7  // 设备维护
	TaskTypeSendForInspection       = 8  // 送检
	TaskTypeSelfInspection          = 9  // 自检
	TaskTypeFishWeightCheck         = 10 // 鱼重量检测
)
const (
	BreedingPlanNotStarted = 0 // 计划开始
	BreedingPlanInProgress = 1 // 计划进行中
	BreedingPlanCompleted  = 2 // 计划完成
)
const (
	DailyTaskStatusPending     = 0 // 未完成
	DailyTaskStatusCompleted   = 1 // 已完成
	DailyTaskStatusExceptional = 2 // 有异常
)
