package consts

var WorkshopStatusMap = make(map[int8]string)
var RoleIdMap = make(map[int8]string)
var SalesApprovalMap = make(map[int8]string)
var FinancialApprovalMap = make(map[int8]string)
var SalesOrderMap = make(map[int8]string)
var SalesTypeMap = make(map[int8]string)
var SalesTypeOrderNoMap = make(map[int8]string)
var TaskTypeMap = make(map[int8]string)
var BreedingPlanStatusMap = make(map[int8]string)
var DailyTaskStatusMap = make(map[int8]string)

//var FishPondStatusMap = make(map[int8]string)

func init() {
	//FishPondStatusMap[] = "鱼池闲置中"
	//FishPondStatusMap[] = "鱼池使用中"
	//FishPondStatusMap[] = "鱼池计划中" //每次进入使用中时，判断批次号是否存在，若存在则更新该批次号所对应的计划鱼池，并且以使用中进行代替，若已计划未排到则改为闲置

	WorkshopStatusMap[IdleStatus] = "车间闲置中"
	WorkshopStatusMap[ActiveStatus] = "车间使用中"

	BreedingPlanStatusMap[BreedingPlanNotStarted] = "未开始"
	BreedingPlanStatusMap[BreedingPlanInProgress] = "进行中"
	BreedingPlanStatusMap[BreedingPlanCompleted] = "已结束"

	DailyTaskStatusMap[DailyTaskStatusPending] = "未完成"
	DailyTaskStatusMap[DailyTaskStatusCompleted] = "已完成"
	DailyTaskStatusMap[DailyTaskStatusExceptional] = "有异常"

	RoleIdMap[AdminId] = "管理员"
	RoleIdMap[ProductionManagerId] = "生产部经理"
	RoleIdMap[SalesManagerId] = "销售部经理"
	RoleIdMap[FinancialManagerId] = "财务部经理"
	RoleIdMap[SalesId] = "销售部员工"
	RoleIdMap[ProductionId] = "生产部员工"

	SalesApprovalMap[SalesApprovalPending] = "销售经理待审批"
	SalesApprovalMap[SalesApprovalPassed] = "销售经理审批通过"
	SalesApprovalMap[SalesApprovalRejected] = "销售经理审批驳回"

	FinancialApprovalMap[FinancialApprovalPending] = "财务经理待审批"
	FinancialApprovalMap[FinancialApprovalPassed] = "财务经理审批通过"
	FinancialApprovalMap[FinancialApprovalRejected] = "财务经理审批驳回"

	SalesOrderMap[SalesOrderCreated] = "创建销售单"
	SalesOrderMap[SalesOrderUnassigned] = "生产部经理未派工"
	SalesOrderMap[SalesOrderAssigned] = "生产部经理已派工"
	SalesOrderMap[SalesOrderNotCompleted] = "生产部员工未完工"
	SalesOrderMap[SalesOrderCompleted] = "生产部员工已完工"
	SalesOrderMap[SalesOrderNotShipped] = "销售员未出货"
	SalesOrderMap[SalesOrderShipped] = "销售员已出货"
	SalesOrderMap[SalesOrderEnded] = "销售单结束"

	SalesTypeMap[AliveFishSalesId] = "活鱼销售"
	SalesTypeMap[DeadFishSalesId] = "死鱼销售"
	SalesTypeMap[FishFrySalesId] = "鱼苗销售"
	SalesTypeMap[ReturnedFishSalesId] = "退货鱼销售"

	SalesTypeOrderNoMap[AliveFishSalesId] = "A"
	SalesTypeOrderNoMap[DeadFishSalesId] = "B"
	SalesTypeOrderNoMap[FishFrySalesId] = "C"
	SalesTypeOrderNoMap[ReturnedFishSalesId] = "D"

	TaskTypeMap[TaskTypeFeed] = "投饵"
	TaskTypeMap[TaskTypeFryRelease] = "鱼苗投放入池"
	TaskTypeMap[TaskTypeMedication] = "用药"
	TaskTypeMap[TaskTypeFishBehaviorObservation] = "鱼类行为观测"
	TaskTypeMap[TaskTypeSickFish] = "巡查并登记病死鱼"
	TaskTypeMap[TaskTypeEnvMonitor] = "环境监测/登记"
	TaskTypeMap[TaskTypeEquipmentMaintain] = "设备维护"
	TaskTypeMap[TaskTypeSendForInspection] = "送检"
	TaskTypeMap[TaskTypeSelfInspection] = "自检"
	TaskTypeMap[TaskTypeOther] = "其他"
	TaskTypeMap[TaskTypeFishWeightCheck] = "鱼增重检测"

}
