package schema

import "time"

// 增氧机配置表
type DeviceConfigAeration struct {
	ID        int64     `json:"id" gorm:"primaryKey;comment:Unique ID;"`
	TenantID  string    `json:"tenant_id" gorm:"size:32;"` // Tenant ID
	DeviceID  int64     `json:"device_id" gorm:"not null;comment:设备ID;"`
	Level     int       `json:"level" gorm:"not null;comment:投料量档位;"`
	Aeration  float64   `json:"aeration" gorm:"type:decimal(5,2);not null;comment:溶氧(mg/l);"`
	Status    bool      `json:"status" gorm:"not null;comment:状态;"`
	CreatedAt time.Time `json:"created_at" gorm:"autoCreateTime;comment:创建时间;"`
	UpdatedAt time.Time `json:"updated_at" gorm:"autoUpdateTime;comment:更新时间;"`
}
