package schema

import "time"

// 投喂机配置表
type DeviceConfigFeeding struct {
	ID           int64     `json:"id" gorm:"primaryKey;comment:Unique ID;"`
	TenantID     string    `json:"tenant_id" gorm:"size:32;"` // Tenant ID
	DeviceID     int64     `json:"device_id" gorm:"not null;comment:设备ID;"`
	FeedLevel    int       `json:"feed_level" gorm:"not null;comment:投料量档位;"`
	FeedTime     int       `json:"feed_time" gorm:"not null;comment:投料时间(秒);"`
	IntervalTime int       `json:"interval_time" gorm:"not null;comment:间隔时间(秒);"`
	Status       bool      `json:"status" gorm:"not null;comment:状态;"`
	CreatedAt    time.Time `json:"created_at" gorm:"autoCreateTime;comment:创建时间;"`
	UpdatedAt    time.Time `json:"updated_at" gorm:"autoUpdateTime;comment:更新时间;"`
}
