package schema

import "time"

// 水循环配置表
type DeviceConfigWaterCirculation struct {
	ID               int64     `json:"id" gorm:"primaryKey;comment:Unique ID;"`
	TenantID         string    `json:"tenant_id" gorm:"size:32;"` // Tenant ID
	DeviceID         int64     `json:"device_id" gorm:"not null;comment:设备ID;"`
	WaterTemp        float64   `json:"water_temp" gorm:"type:decimal(4,1);not null;comment:水温设置(℃);"`
	WaterCirculation int       `json:"water_circulation" gorm:"not null;comment:水循环量(次);"`
	Aeration         float64   `json:"aeration" gorm:"type:decimal(5,2);not null;comment:增氧量(mg/l);"`
	Filter           bool      `json:"filter" gorm:"not null;comment:是否过滤;"`
	Disinfection     bool      `json:"disinfection" gorm:"not null;comment:是否消毒;"`
	Status           bool      `json:"status" gorm:"not null;comment:状态;"`
	CreatedAt        time.Time `json:"created_at" gorm:"autoCreateTime;comment:创建时间;"`
	UpdatedAt        time.Time `json:"updated_at" gorm:"autoUpdateTime;comment:更新时间;"`
}
