// Package swagger Code generated by swaggo/swag. DO NOT EDIT
package swagger

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/business/approval/approval": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "审批提交（销售+财务）",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.Approval"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "审批成功",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Approval"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "未授权访问",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "服务器内部错误",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/assign/assign": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Assign 派工",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.AssignParam"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "派工成功",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "未授权访问",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "服务器内部错误",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/customers": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "CustomerAPI"
                ],
                "summary": "Query customer list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "客户名称",
                        "name": "customer_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "联系人",
                        "name": "contact_person",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "联系方式",
                        "name": "phone_number",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "收货地址",
                        "name": "delivery_address",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "删除标志(0-未删除/1-已删除)",
                        "name": "is_delete",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Customer"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "CustomerAPI"
                ],
                "summary": "Create customer record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.CustomerForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Customer"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/customers/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "CustomerAPI"
                ],
                "summary": "Get customer record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Customer"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "CustomerAPI"
                ],
                "summary": "Update customer record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.CustomerForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "CustomerAPI"
                ],
                "summary": "Delete customer record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/harvest-orders": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Query harvest order list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售单号",
                        "name": "order_number",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "车间ID",
                        "name": "workshop_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间名称",
                        "name": "workshop_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "责任人",
                        "name": "responsible_person",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "责任人账号",
                        "name": "responsible_person_account",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "删除标志(0-未删除/1-已删除)",
                        "name": "is_delete",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.HarvestOrder"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Create harvest order record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.HarvestOrderForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.HarvestOrder"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/harvest-orders/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Get harvest order record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.HarvestOrder"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Update harvest order record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.HarvestOrderForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "HarvestOrderAPI"
                ],
                "summary": "Delete harvest order record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/orderList/queryOrdersByDeliveryTime": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "时间范围查询（收货时间）",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.DeliveryTime"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Order"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/orders": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "Query order list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售单号",
                        "name": "order_number",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售员账号",
                        "name": "salesperson_account",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售员",
                        "name": "salesperson",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "销售员id",
                        "name": "sales_user_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售品种",
                        "name": "sales_variety",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售规格",
                        "name": "sales_spec",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售单价",
                        "name": "sales_unit_price",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "销售重量（单位:公斤）",
                        "name": "sales_weight",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "销售数量",
                        "name": "sales_quantity",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "销售总价",
                        "name": "sales_total_price",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "收货时间",
                        "name": "delivery_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "收货开始时间",
                        "name": "delivery_start_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "收货结束时间",
                        "name": "delivery_end_time",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "客户ID",
                        "name": "customer_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "客户名称",
                        "name": "customer_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "收款方式",
                        "name": "payment_method",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "证明材料类型",
                        "name": "proof_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "证明材料URL",
                        "name": "proof_url",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "销售审批状态(0-未审批/1-审批通过/2-已驳回)",
                        "name": "sales_approval_status",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "财务审批状态(0-未审批/1-审批通过/2-已驳回)",
                        "name": "finance_approval_status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车辆信息URL",
                        "name": "vehicle_info_url",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "出货时间",
                        "name": "shipping_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "出货开始时间",
                        "name": "shipping_start_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "出货结束时间",
                        "name": "shipping_end_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "物流",
                        "name": "logistics",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "快递单号",
                        "name": "tracking_number",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "当前节点名称",
                        "name": "current_node_name",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "当前节点状态",
                        "name": "previous_node_status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "当前节点办理人账号",
                        "name": "current_node_handler",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "删除标志(0-未删除/1-已删除)",
                        "name": "is_delete",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Order"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "Create order record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.OrderForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Order"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/orders/{order_number}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "Get order record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Order"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "Update order record by order number",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.OrderForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "Delete order record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/business/shipping/updateShippingInfo/{order_number}": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "OrderAPI"
                ],
                "summary": "更新车辆/出货信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.ShippingInfo"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/captcha/id": {
            "get": {
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Get captcha ID",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Captcha"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/api/v1/captcha/image": {
            "get": {
                "produces": [
                    "image/png"
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Response captcha image",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Captcha ID",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "number",
                        "description": "Reload captcha image (reload=1)",
                        "name": "reload",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Captcha image"
                    },
                    "404": {
                        "description": "Not Found",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/common/file/upload": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FileUploadAPI"
                ],
                "summary": "Upload file",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FileUploadForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FileUpload"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/common/img/upload": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "ImgUploadAPI"
                ],
                "summary": "Upload img",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FileUploadForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FileUpload"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/common/kv/get": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "ConstantAPI"
                ],
                "summary": "Constant api",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FileUploadForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/api.Constant"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/current/logout": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Logout system",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/current/menus": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Query current user menus based on the current user role",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Menu"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/current/password": {
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Change current user password",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.UpdateLoginPassword"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/current/refresh-token": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Refresh current access token",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.LoginToken"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/current/user": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Get current user info",
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.User"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Update current user info",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.UpdateCurrentUser"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/digital/diagrams": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DiagramAPI"
                ],
                "summary": "Query diagram list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Diagram"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/digital/diagrams/create": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DiagramAPI"
                ],
                "summary": "Create diagram record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.DiagramForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Diagram"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/digital/diagrams/delete": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DiagramAPI"
                ],
                "summary": "Delete diagram record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/digital/diagrams/update/{id}": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DiagramAPI"
                ],
                "summary": "Update diagram record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.DiagramForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/digital/diagrams/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DiagramAPI"
                ],
                "summary": "Get diagram record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Diagram"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/loggers": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "LoggerAPI"
                ],
                "summary": "Query logger list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "log level",
                        "name": "level",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "trace ID",
                        "name": "traceID",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "user name",
                        "name": "userName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "log tag",
                        "name": "tag",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "log message",
                        "name": "message",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "start time",
                        "name": "startTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "end time",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Logger"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "tags": [
                    "LoginAPI"
                ],
                "summary": "Login system with username and password",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.LoginForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.LoginToken"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/menus": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "MenuAPI"
                ],
                "summary": "Query menu tree data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Code path of menu (like xxx.xxx.xxx)",
                        "name": "code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Name of menu",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "Whether to include menu resources",
                        "name": "includeResources",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Menu"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "MenuAPI"
                ],
                "summary": "Create menu record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.MenuForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Menu"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/menus/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "MenuAPI"
                ],
                "summary": "Get menu record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Menu"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "MenuAPI"
                ],
                "summary": "Update menu record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.MenuForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "MenuAPI"
                ],
                "summary": "Delete menu record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/queryByRoleId": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "UserAPI"
                ],
                "summary": "Query user list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Username for login",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Name of user",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Status of user (activated, freezed)",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.User"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/roles": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "RoleAPI"
                ],
                "summary": "Query role list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Display name of role",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Status of role (disabled, enabled)",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Role"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "RoleAPI"
                ],
                "summary": "Create role record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.RoleForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Role"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/roles/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "RoleAPI"
                ],
                "summary": "Get role record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Role"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "RoleAPI"
                ],
                "summary": "Update role record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.RoleForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "RoleAPI"
                ],
                "summary": "Delete role record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-cycles": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingCycleAPI"
                ],
                "summary": "Query breeding cycle list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "模型ID",
                        "name": "model_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "周期名称",
                        "name": "cycle_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "阶段数",
                        "name": "phase_number",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "阶段天数",
                        "name": "phase_days",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "模型图URL",
                        "name": "model_image_url",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼种规格",
                        "name": "fish_spec",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖密度",
                        "name": "breeding_density",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "投饵率",
                        "name": "feeding_rate",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "饵料型号",
                        "name": "bait_type",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "饵料规格",
                        "name": "bait_spec",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "环境指标",
                        "name": "environmental_index",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "建议",
                        "name": "suggestions",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.BreedingCycle"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingCycleAPI"
                ],
                "summary": "Create breeding cycle record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingCycleForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingCycle"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-cycles/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingCycleAPI"
                ],
                "summary": "Get breeding cycle record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingCycle"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingCycleAPI"
                ],
                "summary": "Update breeding cycle record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingCycleForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingCycleAPI"
                ],
                "summary": "Delete breeding cycle record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-models": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "Query breeding model list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "模型名称",
                        "name": "model_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "适用品种",
                        "name": "applicable_breed",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养成产量密度",
                        "name": "production_density",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养成出售规格",
                        "name": "sale_specification",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养成时间",
                        "name": "breeding_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖模式",
                        "name": "breeding_mode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "市场价值",
                        "name": "market_value",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖关键",
                        "name": "breeding_key",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.BreedingModel"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "Create breeding model record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingModelForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingModel"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-models/getModelNameList": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "查询ID和模型名称列表",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/schema.ModelNameListResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-models/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "Get breeding model record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingModel"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "Update breeding model record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingModelForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingModelAPI"
                ],
                "summary": "Delete breeding model record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-plans": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "查询养殖计划列表",
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "Query breeding plan list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖品种",
                        "name": "breeding_variety",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "养殖品种ID",
                        "name": "breeding_variety_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "车间ID",
                        "name": "work_shop_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "计划状态（0-未开始1-已开始）",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "计划状态名称",
                        "name": "status_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼种来源",
                        "name": "fish_source",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "投放总尾数",
                        "name": "release_count",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼种阶段",
                        "name": "fish_stage",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "模型ID",
                        "name": "model_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖批次",
                        "name": "breeding_batch",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "start_time",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "截止时间",
                        "name": "deadline",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "完成进度%",
                        "name": "completion_percentage",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "责任员工ID",
                        "name": "user_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.BreedingPlan"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "Create breeding plan record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingPlanForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingPlan"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-plans/queryBreedingBatchesByWorkShopId": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "根据车间ID返回所有批次号",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "Workshop ID",
                        "name": "work_shop_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "allOf": [
                                    {
                                        "type": "string"
                                    },
                                    {
                                        "type": "object",
                                        "properties": {
                                            "data": {
                                                "type": "array",
                                                "items": {
                                                    "type": "string"
                                                }
                                            }
                                        }
                                    }
                                ]
                            }
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-plans/queryPlannedReleaseCountByBatch": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "根据批次号查询计划投放鱼池尾数",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Breeding batch",
                        "name": "breeding_batch",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {}
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/breeding-plans/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "Get breeding plan record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.BreedingPlan"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "Update breeding plan record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.BreedingPlanForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "BreedingPlanAPI"
                ],
                "summary": "Delete breeding plan record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/code": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "TraceCodeAPI"
                ],
                "summary": "Query TraceCode info",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.TraceCode"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/daily-tasks": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "Query daily task list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "任务名称",
                        "name": "task_name",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "任务类型ID",
                        "name": "task_type_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "任务类型",
                        "name": "task_type",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "任务模板ID",
                        "name": "template_id",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "计划完成次数",
                        "name": "planned_completion_times",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "实际完成次数",
                        "name": "actual_completion_times",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "任务状态(0-未完成/1-已完成/2-有异常)",
                        "name": "task_status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.DailyTask"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "Create daily task record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.DailyTaskForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.DailyTask"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/daily-tasks/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "Get daily task record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.DailyTask"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "Update daily task record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.DailyTaskForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "Delete daily task record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/factories": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FactoryAPI"
                ],
                "summary": "Query factory list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Factory"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FactoryAPI"
                ],
                "summary": "Create factory record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FactoryForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Factory"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/factories/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FactoryAPI"
                ],
                "summary": "Get factory record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.Factory"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FactoryAPI"
                ],
                "summary": "Update factory record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FactoryForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FactoryAPI"
                ],
                "summary": "Delete factory record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/fish-ponds": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishPondAPI"
                ],
                "summary": "Query fish pond list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "责任员工",
                        "name": "employees",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼池名称",
                        "name": "fish_pond_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼池水体",
                        "name": "total_volume",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "有效水位/米",
                        "name": "valid_water_level",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "车间ID",
                        "name": "workshop_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间名称",
                        "name": "workshop_name",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "鱼池状态(0-未使用/1-已使用/2-已计划)",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖批次",
                        "name": "breeding_batch",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖阶段",
                        "name": "breeding_stage",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "阶段用时",
                        "name": "stage_duration",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "养殖尾数",
                        "name": "breeding_count",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "备注说明",
                        "name": "notes",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.FishPond"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishPondAPI"
                ],
                "summary": "Create fish pond record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FishPondForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FishPond"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/fish-ponds/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishPondAPI"
                ],
                "summary": "Get fish pond record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FishPond"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishPondAPI"
                ],
                "summary": "Update fish pond record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FishPondForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishPondAPI"
                ],
                "summary": "Delete fish pond record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/fish-species": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishSpeciesAPI"
                ],
                "summary": "Query fish species list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "鱼种名称",
                        "name": "fish_species_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "分类ID",
                        "name": "category_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "分类名称",
                        "name": "category_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "备注",
                        "name": "notes",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.FishSpecies"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishSpeciesAPI"
                ],
                "summary": "Create fish species record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FishSpeciesForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FishSpecies"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/fish-species/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishSpeciesAPI"
                ],
                "summary": "Get fish species record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.FishSpecies"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishSpeciesAPI"
                ],
                "summary": "Update fish species record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.FishSpeciesForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "FishSpeciesAPI"
                ],
                "summary": "Delete fish species record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/instrument": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "InstrumentAPI"
                ],
                "summary": "Query instrument list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.Factory"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/work-shops": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkShopAPI"
                ],
                "summary": "Query work shop list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间名称",
                        "name": "workshop_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间厂长",
                        "name": "leader",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "厂长ID",
                        "name": "leader_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间员工",
                        "name": "employees",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "鱼池数量",
                        "name": "fish_pond_count",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间规格/米",
                        "name": "size",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "车间状态",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "车间状态名称",
                        "name": "status_name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "总水体",
                        "name": "total_volume",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "备注说明",
                        "name": "notes",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.WorkShop"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkShopAPI"
                ],
                "summary": "Create work shop record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.WorkShopForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.WorkShop"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/work-shops/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkShopAPI"
                ],
                "summary": "Get work shop record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.WorkShop"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkShopAPI"
                ],
                "summary": "Update work shop record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.WorkShopForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkShopAPI"
                ],
                "summary": "Delete work shop record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/work-status/getByBatch": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "检查工作日历表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Breeding batch",
                        "name": "breeding_batch",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.CycleStatusResult"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/work-templates": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkTemplateAPI"
                ],
                "summary": "Query work template list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "租户ID",
                        "name": "tenant_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "任务名称",
                        "name": "task_name",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "任务类型ID",
                        "name": "task_type_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "任务类型",
                        "name": "task_type",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "任务频率(0-日常/1-周常/3-其他)",
                        "name": "task_frequency",
                        "in": "query"
                    },
                    {
                        "type": "number",
                        "description": "汇报次数",
                        "name": "report_times",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "养殖批次",
                        "name": "breeding_batch",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "操作人",
                        "name": "operator",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.WorkTemplate"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkTemplateAPI"
                ],
                "summary": "Create work template record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.WorkTemplateForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.WorkTemplate"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/work-templates/{id}": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkTemplateAPI"
                ],
                "summary": "Get work template record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.WorkTemplate"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "put": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkTemplateAPI"
                ],
                "summary": "Update work template record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.WorkTemplateForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "delete": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "WorkTemplateAPI"
                ],
                "summary": "Delete work template record by ID",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/trace/works-status/get": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "DailyTaskAPI"
                ],
                "summary": "获取工作状态列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "unique id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        },
        "/api/v1/users": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "UserAPI"
                ],
                "summary": "Query user list",
                "parameters": [
                    {
                        "type": "integer",
                        "default": 1,
                        "description": "pagination index",
                        "name": "current",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "default": 10,
                        "description": "pagination size",
                        "name": "pageSize",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Username for login",
                        "name": "username",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Name of user",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "Status of user (activated, freezed)",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "type": "array",
                                            "items": {
                                                "$ref": "#/definitions/schema.User"
                                            }
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "tags": [
                    "UserAPI"
                ],
                "summary": "Create user record",
                "parameters": [
                    {
                        "description": "Request body",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/schema.UserForm"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/util.ResponseResult"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/schema.User"
                                        }
                                    }
                                }
                            ]
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "401": {
                        "description": "Unauthorized",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/util.ResponseResult"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "api.Constant": {
            "type": "object",
            "properties": {
                "financialApprovalMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "roleIdMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "salesApprovalMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "salesOrderMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "salesTypeMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "salesTypeOrderNoMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "taskTypeMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                },
                "workshopStatusMap": {
                    "type": "object",
                    "additionalProperties": {
                        "type": "string"
                    }
                }
            }
        },
        "errors.Error": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer"
                },
                "detail": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "schema.Approval": {
            "type": "object",
            "properties": {
                "approval_status": {
                    "description": "审批状态",
                    "type": "integer"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "schema.AssignParam": {
            "type": "object",
            "required": [
                "breeding_batch",
                "id",
                "order_number",
                "workshop_id"
            ],
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "harvest_ponds": {
                    "description": "捞收鱼池及重量",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "description": "捞收单ID",
                    "type": "string"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "responsible_person": {
                    "description": "责任人",
                    "type": "string"
                },
                "workshop_id": {
                    "description": "车间ID",
                    "type": "integer"
                }
            }
        },
        "schema.BreedingCycle": {
            "type": "object",
            "properties": {
                "bait_spec": {
                    "description": "饵料规格",
                    "type": "string"
                },
                "bait_type": {
                    "description": "饵料型号",
                    "type": "string"
                },
                "breeding_density": {
                    "description": "养殖密度",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "cycle_name": {
                    "description": "周期名称",
                    "type": "string"
                },
                "environmental_index": {
                    "description": "环境指标",
                    "type": "string"
                },
                "feeding_rate": {
                    "description": "投饵率",
                    "type": "string"
                },
                "fish_spec": {
                    "description": "鱼种规格",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "model_id": {
                    "description": "模型ID",
                    "type": "integer"
                },
                "model_image_url": {
                    "description": "模型图URL",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phase_days": {
                    "description": "阶段天数",
                    "type": "integer"
                },
                "phase_number": {
                    "description": "阶段数",
                    "type": "string"
                },
                "suggestions": {
                    "description": "建议",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.BreedingCycleForm": {
            "type": "object",
            "properties": {
                "bait_spec": {
                    "description": "饵料规格",
                    "type": "string"
                },
                "bait_type": {
                    "description": "饵料型号",
                    "type": "string"
                },
                "breeding_density": {
                    "description": "养殖密度",
                    "type": "string"
                },
                "cycle_name": {
                    "description": "周期名称",
                    "type": "string"
                },
                "environmental_index": {
                    "description": "环境指标",
                    "type": "string"
                },
                "feeding_rate": {
                    "description": "投饵率",
                    "type": "string"
                },
                "fish_spec": {
                    "description": "鱼种规格",
                    "type": "string"
                },
                "model_id": {
                    "description": "模型ID",
                    "type": "integer"
                },
                "model_image_url": {
                    "description": "模型图URL",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phase_days": {
                    "description": "阶段天数",
                    "type": "integer"
                },
                "phase_number": {
                    "description": "阶段数",
                    "type": "string"
                },
                "suggestions": {
                    "description": "建议",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                }
            }
        },
        "schema.BreedingModel": {
            "type": "object",
            "properties": {
                "applicable_breed": {
                    "description": "适用品种",
                    "type": "string"
                },
                "breeding_key": {
                    "description": "养殖关键",
                    "type": "string"
                },
                "breeding_mode": {
                    "description": "养殖模式",
                    "type": "string"
                },
                "breeding_time": {
                    "description": "养成时间",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "market_value": {
                    "description": "市场价值",
                    "type": "string"
                },
                "model_name": {
                    "description": "模型名称",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "production_density": {
                    "description": "养成产量密度",
                    "type": "string"
                },
                "sale_specification": {
                    "description": "养成出售规格",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.BreedingModelForm": {
            "type": "object",
            "properties": {
                "applicable_breed": {
                    "description": "适用品种",
                    "type": "string"
                },
                "breeding_key": {
                    "description": "养殖关键",
                    "type": "string"
                },
                "breeding_mode": {
                    "description": "养殖模式",
                    "type": "string"
                },
                "breeding_time": {
                    "description": "养成时间",
                    "type": "string"
                },
                "market_value": {
                    "description": "市场价值",
                    "type": "string"
                },
                "model_name": {
                    "description": "模型名称",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "production_density": {
                    "description": "养成产量密度",
                    "type": "string"
                },
                "sale_specification": {
                    "description": "养成出售规格",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                }
            }
        },
        "schema.BreedingPlan": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_variety": {
                    "description": "养殖品种",
                    "type": "string"
                },
                "breeding_variety_id": {
                    "description": "养殖品种ID",
                    "type": "integer"
                },
                "completion_percentage": {
                    "description": "完成进度%",
                    "type": "number"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "deadline": {
                    "description": "截止时间",
                    "type": "string"
                },
                "fish_source": {
                    "description": "鱼种来源",
                    "type": "string"
                },
                "fish_stage": {
                    "type": "string"
                },
                "fish_stage_num": {
                    "description": "鱼种阶段",
                    "type": "integer"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "model_id": {
                    "description": "模型ID",
                    "type": "integer"
                },
                "model_name": {
                    "description": "模型名称",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "planned_release_count": {
                    "description": "计划投放鱼池尾数（车间/鱼池/尾数） [{\"fish_pond\":\"鱼池1\",\"fish_pond_id\":1,\"count\":10}]",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "release_count": {
                    "description": "投放总尾数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "status": {
                    "description": "计划状态（0-未开始1-已开始）",
                    "type": "string"
                },
                "status_name": {
                    "description": "状态名称",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "user_id": {
                    "description": "责任员工ID",
                    "type": "integer"
                },
                "work_shop": {
                    "description": "车间",
                    "type": "string"
                },
                "work_shop_id": {
                    "description": "车间ID",
                    "type": "integer"
                }
            }
        },
        "schema.BreedingPlanForm": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_variety": {
                    "description": "养殖品种",
                    "type": "string"
                },
                "breeding_variety_id": {
                    "description": "养殖品种ID",
                    "type": "integer"
                },
                "completion_percentage": {
                    "description": "完成进度%",
                    "type": "number"
                },
                "deadline": {
                    "description": "截止时间",
                    "type": "string"
                },
                "fish_source": {
                    "description": "鱼种来源",
                    "type": "string"
                },
                "fish_stage": {
                    "description": "鱼种阶段",
                    "type": "string"
                },
                "fish_stage_num": {
                    "description": "鱼种阶段数",
                    "type": "integer"
                },
                "model_id": {
                    "description": "模型ID",
                    "type": "integer"
                },
                "model_name": {
                    "description": "模型名称",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "planned_release_count": {
                    "description": "计划投放鱼池尾数（车间/鱼池/尾数）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "release_count": {
                    "description": "投放总尾数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "status": {
                    "description": "计划状态（0-未开始1-已开始）",
                    "type": "string"
                },
                "statusName": {
                    "description": "状态名称",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "user_id": {
                    "description": "责任员工ID",
                    "type": "integer"
                },
                "work_shop": {
                    "description": "车间",
                    "type": "string"
                },
                "work_shop_id": {
                    "description": "车间ID",
                    "type": "integer"
                }
            }
        },
        "schema.Captcha": {
            "type": "object",
            "properties": {
                "captcha_id": {
                    "description": "Captcha ID",
                    "type": "string"
                }
            }
        },
        "schema.Customer": {
            "type": "object",
            "properties": {
                "contact_person": {
                    "description": "联系人",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "customer_name": {
                    "description": "客户名称",
                    "type": "string"
                },
                "delivery_address": {
                    "description": "收货地址",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phone_number": {
                    "description": "联系方式",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.CustomerForm": {
            "type": "object",
            "properties": {
                "contact_person": {
                    "description": "联系人",
                    "type": "string"
                },
                "customer_name": {
                    "description": "客户名称",
                    "type": "string"
                },
                "delivery_address": {
                    "description": "收货地址",
                    "type": "string"
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phone_number": {
                    "description": "联系方式",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                }
            }
        },
        "schema.CycleResultStatus": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "schema.CycleStatusResult": {
            "type": "object",
            "properties": {
                "cycle_days": {
                    "description": "周期时间",
                    "type": "integer"
                },
                "cycle_id": {
                    "description": "周期ID",
                    "type": "integer"
                },
                "cycle_name": {
                    "description": "周期名称",
                    "type": "string"
                },
                "end_date": {
                    "description": "周期结束日期",
                    "type": "string"
                },
                "start_date": {
                    "description": "周期开始日期",
                    "type": "string"
                },
                "status_list": {
                    "description": "日期状态",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.CycleResultStatus"
                    }
                }
            }
        },
        "schema.DailyTask": {
            "type": "object",
            "properties": {
                "actual_completion_time": {
                    "description": "实际完成次数",
                    "type": "string"
                },
                "actual_completion_times": {
                    "type": "integer"
                },
                "breeding_batch": {
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "operator": {
                    "type": "string"
                },
                "planned_completion_time": {
                    "description": "计划完成次数",
                    "type": "string"
                },
                "planned_completion_times": {
                    "type": "integer"
                },
                "responsible_user": {
                    "type": "string"
                },
                "responsible_user_name": {
                    "type": "string"
                },
                "task_name": {
                    "description": "任务名称",
                    "type": "string"
                },
                "task_result": {
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态(0-未完成/1-已完成/2-有异常)",
                    "type": "integer"
                },
                "task_type": {
                    "description": "任务类型",
                    "type": "string"
                },
                "task_type_id": {
                    "description": "任务类型ID",
                    "type": "integer"
                },
                "template_id": {
                    "description": "任务模板ID",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.DailyTaskForm": {
            "type": "object",
            "properties": {
                "actual_completion_time": {
                    "description": "实际完成时间",
                    "type": "string"
                },
                "actual_completion_times": {
                    "description": "实际完成次数",
                    "type": "integer"
                },
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "planned_completion_time": {
                    "description": "计划完成时间",
                    "type": "string"
                },
                "planned_completion_times": {
                    "description": "计划完成次数",
                    "type": "integer"
                },
                "responsible_user": {
                    "description": "责任人",
                    "type": "string"
                },
                "responsible_user_name": {
                    "description": "责任人姓名",
                    "type": "string"
                },
                "task_name": {
                    "description": "任务名称",
                    "type": "string"
                },
                "task_result": {
                    "description": "完成说明",
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态(0-未完成/1-已完成/2-有异常)",
                    "type": "integer"
                },
                "task_type": {
                    "description": "任务类型",
                    "type": "string"
                },
                "task_type_id": {
                    "description": "任务类型ID",
                    "type": "integer"
                },
                "template_id": {
                    "description": "任务模板ID",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "year_month": {
                    "description": "年月",
                    "type": "string"
                }
            }
        },
        "schema.DeliveryTime": {
            "type": "object",
            "properties": {
                "-": {
                    "type": "boolean"
                },
                "current": {
                    "type": "integer"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "pageSize": {
                    "type": "integer",
                    "maximum": 1000
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                }
            }
        },
        "schema.Diagram": {
            "type": "object",
            "properties": {
                "animate_msg": {
                    "description": "动画信息",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "company_code": {
                    "description": "公司代码",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "diagram_name": {
                    "description": "图纸名称",
                    "type": "string"
                },
                "diagram_type": {
                    "description": "图纸类型",
                    "type": "integer"
                },
                "diagram_url": {
                    "description": "图纸地址",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "is_show": {
                    "type": "boolean"
                },
                "things_info": {
                    "description": "物联信息",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.DiagramForm": {
            "type": "object",
            "properties": {
                "animate_msg": {
                    "description": "动画信息",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "company_code": {
                    "description": "公司代码",
                    "type": "string"
                },
                "diagram_name": {
                    "description": "图纸名称",
                    "type": "string"
                },
                "diagram_type": {
                    "description": "图纸类型",
                    "type": "integer"
                },
                "diagram_url": {
                    "description": "图纸地址",
                    "type": "string"
                },
                "is_show": {
                    "description": "是否显示",
                    "type": "boolean"
                },
                "things_info": {
                    "description": "物联信息",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "schema.Factory": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "工厂地址",
                    "type": "string"
                },
                "contacts": {
                    "description": "联系人",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "factory_name": {
                    "description": "工厂名称",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "img": {
                    "description": "工厂图片",
                    "type": "string"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phone": {
                    "description": "联系方式",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "work_shop_layout": {
                    "description": "工厂布局",
                    "type": "string"
                }
            }
        },
        "schema.FactoryForm": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "工厂地址",
                    "type": "string"
                },
                "contacts": {
                    "description": "联系人",
                    "type": "string"
                },
                "factory_name": {
                    "description": "工厂名称",
                    "type": "string"
                },
                "img": {
                    "description": "工厂图片",
                    "type": "string"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "phone": {
                    "description": "联系方式",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "work_shop_layout": {
                    "description": "工厂布局",
                    "type": "string"
                }
            }
        },
        "schema.FileUpload": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Upload time",
                    "type": "string"
                },
                "file_type": {
                    "description": "文件类型",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.FileUploadForm": {
            "type": "object",
            "properties": {
                "file_type": {
                    "description": "文件类型",
                    "type": "string"
                }
            }
        },
        "schema.FishPond": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_count": {
                    "description": "养殖尾数",
                    "type": "integer"
                },
                "breeding_stage": {
                    "description": "养殖阶段",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "employees": {
                    "description": "责任员工",
                    "type": "string"
                },
                "fish_pond_name": {
                    "description": "鱼池名称",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "stage_duration": {
                    "description": "阶段用时",
                    "type": "string"
                },
                "status": {
                    "description": "鱼池状态(0-未使用/1-已使用/2-已计划)",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "total_volume": {
                    "description": "鱼池水体",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "valid_water_level": {
                    "description": "有效水位/米",
                    "type": "integer"
                },
                "workshop_id": {
                    "description": "车间ID",
                    "type": "integer"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.FishPondForm": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_count": {
                    "description": "养殖尾数",
                    "type": "integer"
                },
                "breeding_stage": {
                    "description": "养殖阶段",
                    "type": "string"
                },
                "employees": {
                    "description": "责任员工",
                    "type": "string"
                },
                "fish_pond_name": {
                    "description": "鱼池名称",
                    "type": "string"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "stage_duration": {
                    "description": "阶段用时",
                    "type": "string"
                },
                "status": {
                    "description": "鱼池状态(0-未使用/1-已使用/2-已计划)",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "total_volume": {
                    "description": "鱼池水体",
                    "type": "string"
                },
                "valid_water_level": {
                    "description": "有效水位/米",
                    "type": "integer"
                },
                "workshop_id": {
                    "description": "车间ID",
                    "type": "integer"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.FishSpecies": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "分类ID",
                    "type": "string"
                },
                "category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "fish_species_name": {
                    "description": "鱼种名称",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "notes": {
                    "description": "备注",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "species_img_url": {
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.FishSpeciesForm": {
            "type": "object",
            "properties": {
                "category_id": {
                    "description": "分类ID",
                    "type": "string"
                },
                "category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "fish_species_name": {
                    "description": "鱼种名称",
                    "type": "string"
                },
                "notes": {
                    "description": "备注",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "species_img_url": {
                    "description": "鱼种图片",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                }
            }
        },
        "schema.FishStage": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string"
                },
                "fish_stage": {
                    "type": "string"
                },
                "fish_stage_num": {
                    "type": "integer"
                },
                "start_date": {
                    "type": "string"
                }
            }
        },
        "schema.HarvestOrder": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_variety": {
                    "description": "养殖品种",
                    "type": "string"
                },
                "code_url": {
                    "description": "溯源码URL",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "收货时间",
                    "type": "string"
                },
                "harvest_ponds": {
                    "description": "捞收鱼池及重量",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "plan_deadline": {
                    "description": "计划截止时间",
                    "type": "string"
                },
                "plan_start_time": {
                    "description": "计划开始时间",
                    "type": "string"
                },
                "responsible_person": {
                    "description": "责任人",
                    "type": "string"
                },
                "responsible_person_account": {
                    "description": "责任人账号",
                    "type": "string"
                },
                "sales_status": {
                    "description": "销售状态(0-未出货/1-已出货)",
                    "type": "integer"
                },
                "salesperson": {
                    "description": "销售员",
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态(0-未完成/1-已完成)",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "workshop_id": {
                    "description": "车间ID",
                    "type": "integer"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.HarvestOrderForm": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "breeding_variety": {
                    "description": "养殖品种",
                    "type": "string"
                },
                "code_url": {
                    "description": "溯源码URL",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "收货时间",
                    "type": "string"
                },
                "harvest_ponds": {
                    "description": "捞收鱼池及重量",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "plan_deadline": {
                    "description": "计划结束时间",
                    "type": "string"
                },
                "plan_start_time": {
                    "description": "计划开始时间",
                    "type": "string"
                },
                "responsible_person": {
                    "description": "责任人",
                    "type": "string"
                },
                "responsible_person_account": {
                    "description": "责任人账号",
                    "type": "string"
                },
                "sales_status": {
                    "description": "销售状态(0-未出货/1-已出货)",
                    "type": "integer"
                },
                "salesperson": {
                    "description": "销售员",
                    "type": "string"
                },
                "task_status": {
                    "description": "任务状态(0-未完成/1-已完成)",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "workshop_id": {
                    "description": "车间ID",
                    "type": "integer"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.Logger": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "data": {
                    "description": "Log data",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "string"
                },
                "level": {
                    "description": "Log level",
                    "type": "string"
                },
                "login_name": {
                    "description": "From User.Username",
                    "type": "string"
                },
                "message": {
                    "description": "Log message",
                    "type": "string"
                },
                "stack": {
                    "description": "Error stack",
                    "type": "string"
                },
                "tag": {
                    "description": "Log tag",
                    "type": "string"
                },
                "trace_id": {
                    "description": "Trace ID",
                    "type": "string"
                },
                "user_id": {
                    "description": "User ID",
                    "type": "string"
                },
                "user_name": {
                    "description": "From User.Name",
                    "type": "string"
                }
            }
        },
        "schema.LoginForm": {
            "type": "object",
            "required": [
                "captcha_code",
                "captcha_id",
                "password",
                "username"
            ],
            "properties": {
                "captcha_code": {
                    "description": "Captcha verify code",
                    "type": "string"
                },
                "captcha_id": {
                    "description": "Captcha verify id",
                    "type": "string"
                },
                "password": {
                    "description": "Login password (md5 hash)",
                    "type": "string"
                },
                "username": {
                    "description": "Login name",
                    "type": "string"
                }
            }
        },
        "schema.LoginToken": {
            "type": "object",
            "properties": {
                "access_token": {
                    "description": "Access token (JWT)",
                    "type": "string"
                },
                "expires_at": {
                    "description": "Expired time (Unit: second)",
                    "type": "integer"
                },
                "role_ids": {
                    "description": "Role ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "token_type": {
                    "description": "Token type (Usage: Authorization=${token_type} ${access_token})",
                    "type": "string"
                }
            }
        },
        "schema.Menu": {
            "type": "object",
            "properties": {
                "children": {
                    "description": "Child menus",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.Menu"
                    }
                },
                "code": {
                    "description": "Code of menu (unique for each level)",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "description": {
                    "description": "Details about menu",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "string"
                },
                "name": {
                    "description": "Display name of menu",
                    "type": "string"
                },
                "parent_id": {
                    "description": "Parent ID (From Menu.ID)",
                    "type": "string"
                },
                "parent_path": {
                    "description": "Parent path (split by .)",
                    "type": "string"
                },
                "path": {
                    "description": "Access path of menu",
                    "type": "string"
                },
                "properties": {
                    "description": "Properties of menu (JSON)",
                    "type": "string"
                },
                "resources": {
                    "description": "Resources of menu",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.MenuResource"
                    }
                },
                "sequence": {
                    "description": "Sequence for sorting (Order by desc)",
                    "type": "integer"
                },
                "status": {
                    "description": "Status of menu (enabled, disabled)",
                    "type": "string"
                },
                "type": {
                    "description": "Type of menu (page, button)",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.MenuForm": {
            "type": "object",
            "required": [
                "code",
                "name",
                "status",
                "type"
            ],
            "properties": {
                "code": {
                    "description": "Code of menu (unique for each level)",
                    "type": "string",
                    "maxLength": 32
                },
                "description": {
                    "description": "Details about menu",
                    "type": "string"
                },
                "name": {
                    "description": "Display name of menu",
                    "type": "string",
                    "maxLength": 128
                },
                "parent_id": {
                    "description": "Parent ID (From Menu.ID)",
                    "type": "string"
                },
                "path": {
                    "description": "Access path of menu",
                    "type": "string"
                },
                "properties": {
                    "description": "Properties of menu (JSON)",
                    "type": "string"
                },
                "resources": {
                    "description": "Resources of menu",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.MenuResource"
                    }
                },
                "sequence": {
                    "description": "Sequence for sorting (Order by desc)",
                    "type": "integer"
                },
                "status": {
                    "description": "Status of menu (enabled, disabled)",
                    "type": "string",
                    "enum": [
                        "disabled",
                        "enabled"
                    ]
                },
                "type": {
                    "description": "Type of menu (page, button)",
                    "type": "string",
                    "enum": [
                        "page",
                        "button"
                    ]
                }
            }
        },
        "schema.MenuResource": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "string"
                },
                "menu_id": {
                    "description": "From Menu.ID",
                    "type": "string"
                },
                "method": {
                    "description": "HTTP method",
                    "type": "string"
                },
                "path": {
                    "description": "API request path (e.g. /api/v1/users/:id)",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.ModelNameListResult": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "page_result": {
                    "$ref": "#/definitions/util.PaginationResult"
                }
            }
        },
        "schema.Order": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "current_node_handler": {
                    "description": "当前节点办理人",
                    "type": "string"
                },
                "current_node_handler_account": {
                    "description": "当前节点办理人账号",
                    "type": "string"
                },
                "current_node_name": {
                    "description": "当前节点名称",
                    "type": "string"
                },
                "current_node_status": {
                    "description": "当前节点状态",
                    "type": "integer"
                },
                "customer_id": {
                    "description": "客户ID",
                    "type": "integer"
                },
                "customer_name": {
                    "description": "客户名称",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "收货时间",
                    "type": "string"
                },
                "finance_approval_status": {
                    "description": "财务审批状态(0-未审批/1-审批通过/2-已驳回)",
                    "type": "integer"
                },
                "historical_records": {
                    "description": "历史办理记录(序号/名称/上个节点状态/办理人/办理时间/内容/备注)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "logistics": {
                    "description": "物流",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "payment_method": {
                    "description": "收款方式",
                    "type": "string"
                },
                "proof_type": {
                    "description": "证明材料类型",
                    "type": "string"
                },
                "proof_url": {
                    "description": "证明材料URL",
                    "type": "string"
                },
                "sales_approval_status": {
                    "description": "销售审批状态(0-未审批/1-审批通过/2-已驳回)",
                    "type": "integer"
                },
                "sales_quantity": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "sales_spec": {
                    "description": "销售规格",
                    "type": "string"
                },
                "sales_total_price": {
                    "description": "销售总价",
                    "type": "number"
                },
                "sales_type_id": {
                    "description": "销售类型ID",
                    "type": "integer"
                },
                "sales_unit_price": {
                    "description": "销售单价",
                    "type": "number"
                },
                "sales_user_id": {
                    "description": "销售员Userid",
                    "type": "integer"
                },
                "sales_variety": {
                    "description": "销售品种",
                    "type": "string"
                },
                "sales_weight": {
                    "description": "销售重量（单位:公斤）",
                    "type": "integer"
                },
                "salesperson": {
                    "description": "销售员",
                    "type": "string"
                },
                "salesperson_account": {
                    "description": "销售员账号",
                    "type": "string"
                },
                "shipping_time": {
                    "description": "出货时间",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "tracking_number": {
                    "description": "快递单号",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "vehicle_info_url": {
                    "description": "车辆信息URL",
                    "type": "string"
                }
            }
        },
        "schema.OrderForm": {
            "type": "object",
            "properties": {
                "current_node_handler": {
                    "description": "当前节点办理人",
                    "type": "string"
                },
                "current_node_handler_account": {
                    "description": "当前节点办理人账号",
                    "type": "string"
                },
                "current_node_name": {
                    "description": "当前节点名称",
                    "type": "string"
                },
                "current_node_status": {
                    "description": "当前节点状态",
                    "type": "integer"
                },
                "customer_id": {
                    "description": "客户ID",
                    "type": "integer"
                },
                "customer_name": {
                    "description": "客户名称",
                    "type": "string"
                },
                "delivery_time": {
                    "description": "收货时间",
                    "type": "string"
                },
                "finance_approval_status": {
                    "description": "财务审批状态(0-未审批/1-审批通过/2-已驳回)",
                    "type": "integer"
                },
                "historical_records": {
                    "description": "历史办理记录(序号/名称/上个节点状态/办理人/办理时间/内容/备注)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "is_delete": {
                    "description": "删除标志(0-未删除/1-已删除)",
                    "type": "integer"
                },
                "logistics": {
                    "description": "物流",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "order_number": {
                    "description": "销售单号",
                    "type": "string"
                },
                "payment_method": {
                    "description": "收款方式",
                    "type": "string"
                },
                "proof_type": {
                    "description": "证明材料类型",
                    "type": "string"
                },
                "proof_url": {
                    "description": "证明材料URL",
                    "type": "string"
                },
                "sales_approval_status": {
                    "description": "销售审批状态(0-未审批/1-审批通过/2-已驳回)",
                    "type": "integer"
                },
                "sales_quantity": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "sales_spec": {
                    "description": "销售规格",
                    "type": "string"
                },
                "sales_total_price": {
                    "description": "销售总价",
                    "type": "number"
                },
                "sales_type_id": {
                    "description": "销售类型ID",
                    "type": "integer"
                },
                "sales_unit_price": {
                    "description": "销售单价",
                    "type": "number"
                },
                "sales_user_id": {
                    "description": "销售员userid",
                    "type": "integer"
                },
                "sales_variety": {
                    "description": "销售品种",
                    "type": "string"
                },
                "sales_weight": {
                    "description": "销售重量（单位:公斤）",
                    "type": "integer"
                },
                "salesperson": {
                    "description": "销售员",
                    "type": "string"
                },
                "salesperson_account": {
                    "description": "销售员账号",
                    "type": "string"
                },
                "shipping_time": {
                    "description": "出货时间",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "tracking_number": {
                    "description": "快递单号",
                    "type": "string"
                },
                "vehicle_info_url": {
                    "description": "车辆信息URL",
                    "type": "string"
                }
            }
        },
        "schema.Report": {
            "type": "object",
            "properties": {
                "inspect_date": {
                    "type": "string"
                },
                "organization": {
                    "type": "string"
                },
                "report_url_list": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "result": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "schema.Role": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "Code of role (unique)",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "description": {
                    "description": "Details about role",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "menus": {
                    "description": "Role menu list",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.RoleMenu"
                    }
                },
                "name": {
                    "description": "Display name of role",
                    "type": "string"
                },
                "sequence": {
                    "description": "Sequence for sorting",
                    "type": "integer"
                },
                "status": {
                    "description": "Status of role (disabled, enabled)",
                    "type": "integer"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.RoleForm": {
            "type": "object",
            "required": [
                "code",
                "name"
            ],
            "properties": {
                "code": {
                    "description": "Code of role (unique)",
                    "type": "string",
                    "maxLength": 32
                },
                "description": {
                    "description": "Details about role",
                    "type": "string"
                },
                "name": {
                    "description": "Display name of role",
                    "type": "string",
                    "maxLength": 128
                },
                "sequence": {
                    "description": "Sequence for sorting",
                    "type": "integer"
                }
            }
        },
        "schema.RoleMenu": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "string"
                },
                "menu_id": {
                    "description": "From Menu.ID",
                    "type": "string"
                },
                "role_id": {
                    "description": "From Role.ID",
                    "type": "integer"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.ShippingInfo": {
            "type": "object",
            "properties": {
                "logistics": {
                    "description": "物流",
                    "type": "string"
                },
                "order_number": {
                    "type": "string"
                },
                "shipping_time": {
                    "description": "出货时间",
                    "type": "string"
                },
                "tracking_number": {
                    "description": "快递单号",
                    "type": "string"
                },
                "vehicle_info_url": {
                    "description": "车辆信息URL",
                    "type": "string"
                }
            }
        },
        "schema.TraceCode": {
            "type": "object",
            "properties": {
                "cook_book": {},
                "factory": {
                    "$ref": "#/definitions/schema.Factory"
                },
                "product": {},
                "trace_info": {
                    "$ref": "#/definitions/schema.TraceInfo"
                }
            }
        },
        "schema.TraceInfo": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "type": "string"
                },
                "breeding_variety": {
                    "type": "string"
                },
                "duration": {
                    "type": "string"
                },
                "fish_environment": {
                    "type": "string"
                },
                "fish_source": {
                    "type": "string"
                },
                "fish_stage_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.FishStage"
                    }
                },
                "forage": {
                    "type": "string"
                },
                "report": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.Report"
                    }
                },
                "self_report": {
                    "type": "string"
                }
            }
        },
        "schema.UpdateCurrentUser": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "email": {
                    "description": "Email of user",
                    "type": "string",
                    "maxLength": 128
                },
                "name": {
                    "description": "Name of user",
                    "type": "string",
                    "maxLength": 64
                },
                "phone": {
                    "description": "Phone number of user",
                    "type": "string",
                    "maxLength": 32
                },
                "remark": {
                    "description": "Remark of user",
                    "type": "string",
                    "maxLength": 1024
                }
            }
        },
        "schema.UpdateLoginPassword": {
            "type": "object",
            "required": [
                "new_password",
                "old_password"
            ],
            "properties": {
                "new_password": {
                    "description": "New password (md5 hash)",
                    "type": "string"
                },
                "old_password": {
                    "description": "Old password (md5 hash)",
                    "type": "string"
                }
            }
        },
        "schema.User": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "email": {
                    "description": "Email of user",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "name": {
                    "description": "Name of user",
                    "type": "string"
                },
                "phone": {
                    "description": "Phone number of user",
                    "type": "string"
                },
                "remark": {
                    "description": "Remark of user",
                    "type": "string"
                },
                "roles": {
                    "description": "Roles of user",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.UserRole"
                    }
                },
                "status": {
                    "description": "Status of user (activated, freezed)",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "Tenant ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "username": {
                    "description": "Username for login",
                    "type": "string"
                }
            }
        },
        "schema.UserForm": {
            "type": "object",
            "required": [
                "name",
                "roles",
                "username"
            ],
            "properties": {
                "email": {
                    "description": "Email of user",
                    "type": "string",
                    "maxLength": 128
                },
                "name": {
                    "description": "Name of user",
                    "type": "string",
                    "maxLength": 64
                },
                "password": {
                    "description": "Password for login (md5 hash)",
                    "type": "string",
                    "maxLength": 64
                },
                "phone": {
                    "description": "Phone number of user",
                    "type": "string",
                    "maxLength": 32
                },
                "remark": {
                    "description": "Remark of user",
                    "type": "string",
                    "maxLength": 1024
                },
                "roles": {
                    "description": "Roles of user",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/schema.UserRole"
                    }
                },
                "tenant_id": {
                    "description": "tenant_id",
                    "type": "string",
                    "maxLength": 32
                },
                "username": {
                    "description": "Username for login",
                    "type": "string",
                    "maxLength": 64
                }
            }
        },
        "schema.UserRole": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "role_id": {
                    "description": "From Role.ID",
                    "type": "integer"
                },
                "role_name": {
                    "description": "From Role.Name",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "user_id": {
                    "description": "From User.ID",
                    "type": "integer"
                }
            }
        },
        "schema.WorkShop": {
            "type": "object",
            "properties": {
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "employees": {
                    "description": "车间员工",
                    "type": "string"
                },
                "fish_pond_count": {
                    "description": "鱼池数量",
                    "type": "integer"
                },
                "fish_pond_param": {
                    "description": "鱼池参数",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "fish_pond_shape": {
                    "description": "鱼池形状",
                    "type": "string"
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "leader": {
                    "description": "车间厂长",
                    "type": "string"
                },
                "leader_id": {
                    "description": "厂长ID",
                    "type": "integer"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "size": {
                    "description": "车间规格/米",
                    "type": "string"
                },
                "status": {
                    "description": "车间状态",
                    "type": "integer"
                },
                "status_name": {
                    "description": "车间状态名称",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "total_volume": {
                    "description": "总水体",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.WorkShopForm": {
            "type": "object",
            "properties": {
                "employees": {
                    "description": "车间员工",
                    "type": "string"
                },
                "fish_pond_count": {
                    "description": "鱼池数量",
                    "type": "integer"
                },
                "fish_pond_param": {
                    "description": "鱼池参数",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "fish_pond_shape": {
                    "description": "鱼池形状",
                    "type": "string"
                },
                "leader": {
                    "description": "车间厂长",
                    "type": "string"
                },
                "leader_id": {
                    "description": "厂长ID",
                    "type": "integer"
                },
                "notes": {
                    "description": "备注说明",
                    "type": "string"
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "size": {
                    "description": "车间规格/米",
                    "type": "string"
                },
                "status": {
                    "description": "车间状态",
                    "type": "integer"
                },
                "status_name": {
                    "description": "车间状态名",
                    "type": "string"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "total_volume": {
                    "description": "总水体",
                    "type": "string"
                },
                "workshop_name": {
                    "description": "车间名称",
                    "type": "string"
                }
            }
        },
        "schema.WorkTemplate": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "created_at": {
                    "description": "Create time",
                    "type": "string"
                },
                "deadline_info": {
                    "description": "截止完成（时间/员工/员工ID）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "description": "Unique ID",
                    "type": "integer"
                },
                "material_usage": {
                    "description": "用料用量（车间/鱼池/用料/用量）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "report_times": {
                    "description": "汇报次数",
                    "type": "integer"
                },
                "task_frequency": {
                    "description": "任务频率(0-日常/1-周常/3-其他)",
                    "type": "integer"
                },
                "task_name": {
                    "description": "任务名称",
                    "type": "string"
                },
                "task_type": {
                    "description": "任务类型",
                    "type": "string"
                },
                "task_type_id": {
                    "description": "任务类型ID",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                },
                "updated_at": {
                    "description": "Update time",
                    "type": "string"
                }
            }
        },
        "schema.WorkTemplateForm": {
            "type": "object",
            "properties": {
                "breeding_batch": {
                    "description": "养殖批次",
                    "type": "string"
                },
                "deadline_info": {
                    "description": "截止完成（时间/员工/员工ID）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "material_usage": {
                    "description": "用料用量（车间/鱼池/用料/用量）",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "operator": {
                    "description": "操作人",
                    "type": "string"
                },
                "report_times": {
                    "description": "汇报次数",
                    "type": "integer"
                },
                "task_frequency": {
                    "description": "任务频率(0-日常/1-周常/3-其他)",
                    "type": "integer"
                },
                "task_name": {
                    "description": "任务名称",
                    "type": "string"
                },
                "task_type": {
                    "description": "任务类型",
                    "type": "string"
                },
                "task_type_id": {
                    "description": "任务类型ID",
                    "type": "integer"
                },
                "tenant_id": {
                    "description": "租户ID",
                    "type": "string"
                }
            }
        },
        "util.PaginationResult": {
            "type": "object",
            "properties": {
                "current": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "util.ResponseResult": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer"
                },
                "data": {},
                "error": {
                    "$ref": "#/definitions/errors.Error"
                },
                "success": {
                    "type": "boolean"
                },
                "total": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "ApiKeyAuth": {
            "type": "apiKey",
            "name": "Authorization",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "v1.0.0",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "ifms",
	Description:      "Intelligent Fishery Management System",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
